# Stop Streaming Endpoint

post ` https://app.mk.io/api/v1/projects/:project_name/media/streamingEndpoints/:endpoint_name/stop`

Stop a Streaming Endpoint. Any active playback sessions will be interrupted.

RBAC Capability Required: `ams.streamingendpoint.stop`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your
auth token.

## Path parameters

- `project_name`: string (Required)
- `endpoint_name`: string (Required)

## Response

- **200** OK. The request has succeeded.
  - No response body.

## Errors

- **400** Bad Request
  - `error`: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)
    - Pertinent information about the error
    - `code`: string (Required) - The error code.
    - `detail`: string (Required) - The error message.
    - `extraDetail`: map from strings to any (Optional) - Extra information regarding this error.
    - `ref`: string (Required) - A reference to the request that caused the error.
    - `status`: integer (Required) - The HTTP status code.

- **401** Unauthorized
  - `error`: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)
    - Pertinent information about the error
    - `code`: string (Required) - The error code.
    - `detail`: string (Required) - The error message.
    - `extraDetail`: map from strings to any (Optional) - Extra information regarding this error.
    - `ref`: string (Required) - A reference to the request that caused the error.
    - `status`: integer (Required) - The HTTP status code.

- **403** Forbidden
  - `error`: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)
    - Pertinent information about the error
    - `code`: string (Required) - The error code.
    - `detail`: string (Required) - The error message.
    - `extraDetail`: map from strings to any (Optional) - Extra information regarding this error.
    - `ref`: string (Required) - A reference to the request that caused the error.
    - `status`: integer (Required) - The HTTP status code.

- **404** Not Found
  - `error`: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)
    - Pertinent information about the error
    - `code`: string (Required) - The error code.
    - `detail`: string (Required) - The error message.
    - `extraDetail`: map from strings to any (Optional) - Extra information regarding this error.
    - `ref`: string (Required) - A reference to the request that caused the error.
    - `status`: integer (Required) - The HTTP status code.

- **429** Too Many Requests
  - `error`: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)
    - Pertinent information about the error
    - `code`: string (Required) - The error code.
    - `detail`: string (Required) - The error message.
    - `extraDetail`: map from strings to any (Optional) - Extra information regarding this error.
    - `ref`: string (Required) - A reference to the request that caused the error.
    - `status`: integer (Required) - The HTTP status code.

- **500** Internal Server Error
  - `error`: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)
    - Pertinent information about the error
    - `code`: string (Required) - The error code.
    - `detail`: string (Required) - The error message.
    - `extraDetail`: map from strings to any (Optional) - Extra information regarding this error.
    - `ref`: string (Required) - A reference to the request that caused the error.
    - `status`: integer (Required) - The HTTP status code.
